DateUtil.TrivialCalendarFieldsToDateConverter (FreeMarker 2.3.23 API)
Date: 2015-07-05

freemarker.template.utility

## Class DateUtil.TrivialCalendarFieldsToDateConverter

- java.lang.Object
- - freemarker.template.utility.DateUtil.TrivialCalendarFieldsToDateConverter

- All Implemented Interfaces:
    DateUtil.CalendarFieldsToDateConverter
  Enclosing class:
    DateUtil

      public static final class DateUtil.TrivialCalendarFieldsToDateConverter
      extends Object
      implements DateUtil.CalendarFieldsToDateConverter

  Non-thread-safe implementation that hard-references a calendar internally.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TrivialCalendarFieldsToDateConverter()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Date` | `calculate(int era, int year, int month, int day, int hours, int minutes, int secs, int millisecs, boolean addOneDay, TimeZone tz)` Calculates the `Date` from the specified calendar fields.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TrivialCalendarFieldsToDateConverter

          public TrivialCalendarFieldsToDateConverter()

  - ### Method Detail

    - #### calculate

          public Date calculate(int era,
                                int year,
                                int month,
                                int day,
                                int hours,
                                int minutes,
                                int secs,
                                int millisecs,
                                boolean addOneDay,
                                TimeZone tz)

      Description copied from interface: `DateUtil.CalendarFieldsToDateConverter`
      Calculates the `Date` from the specified calendar fields.
      Specified by:
        `calculate` in interface `DateUtil.CalendarFieldsToDateConverter`